Subject: Re: linux-next: sparc tree build failure

From: Thomas Gleixner <[email-masked]>
Date: Fri, 27 Nov 2009 10:00:54 +0100 (CET)

On Thu, 26 Nov 2009, David Miller wrote:
> From: Stephen Rothwell <[email-masked]>
> Date: Thu, 26 Nov 2009 20:16:07 +1100
> 
> > Today's linux-next build (sparc32 defconfig) failed like this:
> > 
> > arch/sparc/lib/atomic32.c: In function '__atomic_add_return':
> > arch/sparc/lib/atomic32.c:34: error: implicit declaration of function '__raw_spin_lock_irqsave'
> > arch/sparc/lib/atomic32.c:38: error: implicit declaration of function '__raw_spin_unlock_irqrestore'
> > 
> > Caused by commit 4df286e52917c95c415400367cfd523dfbb0f93a ("sparc: Make
> > atomic locks raw") which I have reverted for today.
> 
> Ho hum, that's the second iteration and it broke the build first time
> too.
> 
> __raw_spin_lock_irqsave() definitions don't exist anywhere in the
> tree, I wonder what this was even build tested against?
> 
> I'm reverting, and I'll be hard pressed to add new versions without
> solid proof that it doesn't break the build a third time :-)

/me blushes. Dunno what went wrong this time. Sorry.

    tglx